<?php

namespace KERN23\K23Imagecrop\Utility;

class Helper {
	
	/**
     * Merges the TypoScript conf into the presets
     *
     * @param array $presets
     * @return array
     */
	public static function mergeTsPresets($presets) {
		// Get ExtMgr Conf
		$extConfig = unserialize($GLOBALS['TYPO3_CONF_VARS']['EXT']['extConf']['k23_imagecrop']);
		
		// Set variables
		$tplUid    = (int)$extConfig['tsTemplateUid'];
		$extKey    = 'tx_k23imagecrop';
		$firstPath = 'module.';
		$conf      = array();
		
		// Clear unneeded stuff
		unset($extConfig);
		
		// Load TypoScript
		$ts = \KERN23\K23Imagecrop\Utility\TypoScript::loadConfig($conf,$extKey,$tplUid,$firstPath);
		
		// If nothing there, return...
		if ( sizeof($ts['presets.']) <= 0 ) return $presets;
		
		// Merge into the default presets
		foreach ( $ts['presets.'] as $key => $preset ) {
			$presets[substr($key,0,strlen($key)-1)] = $preset;
		}
		
		// Return result
		return $presets;
	}	
	
}

?>